Bug 13548 - kernel-modules-atl2 не считает статистику по передаваемым байтам
: kernel-modules-atl2 не считает статистику по передаваемым байтам
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kernel-modules-atl2-std-smp)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://avangard.dn.ua/mrtg/eth0.html
:
:
:
  Show dependency tree
 
Reported: 2007-11-29 16:00 by
Modified: 2011-01-22 22:46 (History)


Attachments
Fix statistics (try 1) (784 bytes, patch)
2007-11-29 23:31, Andy Shevchenko
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-11-29 16:00:04
Проверено начиная с Server 4.0.1 + с ядрами из Сизифа kernel-image-std-smp-
2.6.18-alt9, kernel-image-std-smp-2.6.18-alt8, kernel-image-ovz-smp-2.6.18-
alt17 с соответствующими им модулями.

[root@avangate log]# ifconfig
eth0      Link encap:Ethernet  HWaddr 00:1A:92:DB:BA:BF
          inet addr:192.168.0.254  Bcast:192.168.0.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:32756 errors:0 dropped:0 overruns:0 frame:0
          TX packets:36311 errors:0 dropped:0 overruns:0 carrier:2
          collisions:0 txqueuelen:1000
          RX bytes:5413947 (5.1 MiB)  TX bytes:0 (0.0 b)
          Memory:dffc0000-e0000000

snmp тоже показывает нули.

В результате в статистике загрузки интерфейсов нули на передачу.
------- Comment #1 From 2007-11-29 23:31:30 -------
Created an attachment (id=2297) [details]
Fix statistics (try 1)

Попробуй собрать модуль с этим патчем.
В первом приближении возможно константное накопление ошибки (const * packets).
------- Comment #2 From 2007-12-13 23:38:51 -------
New driver is developing by Chris Snook. The discussion is continuing at
https://bugzilla.redhat.com/show_bug.cgi?id=249382
------- Comment #3 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #4 From 2011-01-22 22:46:21 -------
В Sisyphus отсутствуют указанные модули для ядер.